Bug 647945 - /usr/bin/mvn shell script does not quote parameters before calling M2_HOME/bin/mvn
Summary: /usr/bin/mvn shell script does not quote parameters before calling M2_HOME/bi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: maven2
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-29 22:25 UTC by Nicolas PENINGUY
Modified: 2010-12-15 09:04 UTC (History)
4 users (show)

Fixed In Version: maven2-2.2.1-14.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-15 09:04:50 UTC


Attachments (Terms of Use)

Description Nicolas PENINGUY 2010-10-29 22:25:26 UTC
Description of problem:

The shell script /usr/bin/mvn does not quote parameters, unlike /usr/share/maven2/bin/mvn. Because of this, maven2 package does not work when using Netbeans, since it does things like this :

mvn ... -Dexec.args='-classpath %classpath com.mycompany.mavenproject2.App xxx' ...

A workaround is to configure Netbeans' Maven home to /usr/share/maven2, but it would be better if it could work out of the box.

Version-Release number of selected component (if applicable):

maven2-2.2.1-13.fc14.noarch

Comment 1 Fedora Update System 2010-12-06 15:31:00 UTC
maven2-2.2.1-14.fc14,buildnumber-maven-plugin-1.0-0.10.b4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/maven2-2.2.1-14.fc14,buildnumber-maven-plugin-1.0-0.10.b4.fc14

Comment 2 Stanislav Ochotnicky 2010-12-06 16:36:56 UTC
I'd be great if you could test that new version actually fixes problems you were encountering. My simple console tests suggest that it does, but it won't hurt to verify before we get it to stable

Comment 3 Fedora Update System 2010-12-06 19:57:15 UTC
maven2-2.2.1-14.fc14, buildnumber-maven-plugin-1.0-0.10.b4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maven2 buildnumber-maven-plugin'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/maven2-2.2.1-14.fc14,buildnumber-maven-plugin-1.0-0.10.b4.fc14

Comment 4 Nicolas PENINGUY 2010-12-09 18:21:05 UTC
Sorry for late reply, I was away from computer! I confirm this fixes the issue. However I'm now getting lots of *DEBUG* messages like these :

*DEBUG*: Putting in plugin descriptor list org.codehaus.mojo:exec-maven-plugin:1.1.1 and goal prefix is exec
*DEBUG*: Putting in plugin descriptor list org.codehaus.mojo:exec-maven-plugin:1.1.1 and goal prefix is exec

This might my fault though, as I don't remember what I did to debug the issue.

Comment 5 Stanislav Ochotnicky 2010-12-14 16:35:19 UTC
I *think* these were introduced some time ago already, so maybe you just turned them on by fiddling with startup scripts? One way or the other these are harmless...

Comment 6 Fedora Update System 2010-12-15 09:04:45 UTC
maven2-2.2.1-14.fc14, buildnumber-maven-plugin-1.0-0.10.b4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.